datacache <- new.env(hash=TRUE, parent=emptyenv())

drogene11stdmentrezg <- function() showQCData("drogene11stdmentrezg", datacache)
drogene11stdmentrezg_dbconn <- function() dbconn(datacache)
drogene11stdmentrezg_dbfile <- function() dbfile(datacache)
drogene11stdmentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
drogene11stdmentrezg_dbInfo <- function() dbInfo(datacache)

drogene11stdmentrezgORGANISM <- "Drosophila melanogaster"

.onLoad <- function(libname, pkgname)
{
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "drogene11stdmentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("FLYCHIP_DB", "drogene11stdmentrezg", "chip drogene11stdmentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("drogene11stdmentrezg.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(drogene11stdmentrezg_dbconn())
}

